KDE 4.7 PyKDE API Reference

- KDE's Python API

# SpecialJob Class Reference

`from PyKDE4.kio import *`

Inherits: KIO.TransferJob → KIO.SimpleJob → KIO.Job → KCompositeJob → KJob → QObject
Namespace: KIO

## Detailed Description

A class that sends a special command to an ioslave. This allows you to send a binary blob to an ioslave and handle its responses. The ioslave will receive the binary data as an argument to the "special" function (inherited from SlaveBase.special()).

Use this only on ioslaves that belong to your application. Sending special commands to other ioslaves may cause unexpected behaviour.

See also:
  KIO.special

## Methods
| __init__ (self, KUrl url, QByteArray data=QByteArray())
| __init__ (self)
QByteArray | arguments (self)
| setArguments (self, QByteArray data)

## Method Documentation

__init__ | ( | self, |
|  | KUrl | url,
|  | QByteArray | data=QByteArray()
| ) |  |  |

Creates a KIO.SpecialJob.

Parameters:

  | url | the URL to be passed to the ioslave
  | data | the data to be sent to the SlaveBase.special() function.

__init__ | ( |  | self ) |

QByteArray arguments | ( |  | self ) |

Returns the QByteArray data that will be sent (or has been sent) to the ioslave.

setArguments | ( | self, |
|  | QByteArray | data
| ) |  |  |

Sets the QByteArray that is passed to SlaveBase.special() on the ioslave.